New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

version 0.5.0 does not build #41

Closed
slumnitz opened this Issue Jun 8, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@slumnitz
Copy link

slumnitz commented Jun 8, 2018

$ jupyter --version
4.4.0
$ jupyter lab --version
0.32.1
$ conda list bokeh
# packages in environment at /Users/user/anaconda3/envs/tryjlab:
#
# Name                    Version                   Build  Channel
bokeh                     0.12.15                  py36_0    conda-forge

Install with jupyter labextension install jupyterlab_bokeh.

 $ jupyter labextension list
JupyterLab v0.32.1
Known labextensions:
   app dir: /Users/user/anaconda3/envs/tryjlab/share/jupyter/lab
jupyterlab_bokeh
        jupyterlab_bokeh v0.5.0  enabled  OK

Build recommended, please run `jupyter lab build`:
    jupyterlab_bokeh needs to be included in build
$ jupyter lab build
[LabBuildApp] > node /Users/user/anaconda3/envs/tryjlab/lib/python3.6/site-packages/jupyterlab/staging/yarn.js install

/Users/user/anaconda3/envs/tryjlab/lib/python3.6/site-packages/jupyterlab/staging/yarn.js:296
, (_asyncToGenerator2 || _load_asyncToGenerator()).default)(function* (queue, 
                                                                    ^
SyntaxError: Unexpected token *
    at Module._compile (module.js:439:25)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3
[LabBuildApp] > node /Users/user/anaconda3/envs/tryjlab/lib/python3.6/site-packages/jupyterlab/staging/yarn.js run build:prod

/Users/user/anaconda3/envs/tryjlab/lib/python3.6/site-packages/jupyterlab/staging/yarn.js:296
, (_asyncToGenerator2 || _load_asyncToGenerator()).default)(function* (queue, 
                                                                    ^
SyntaxError: Unexpected token *
    at Module._compile (module.js:439:25)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3
@canavandl

This comment has been minimized.

Copy link
Collaborator

canavandl commented Jul 8, 2018

As noted in #40, the problem appears to be related to rebuilding jupyterlab with node v10. I'd suggest downgrading to node 8 or 9 and trying again until we've resolved this.

@slumnitz

This comment has been minimized.

Copy link
Author

slumnitz commented Jul 9, 2018

@canavandl thank you for the tip! I will try downgrading then.

@canavandl

This comment has been minimized.

Copy link
Collaborator

canavandl commented Jul 31, 2018

This issue is an upstream problem with JupyterLab (jupyterlab/jupyterlab#4986), so I'm going to mark as closed.

If jupyterlab begins to support node@10 and there's a problem with this extension, please reopen this issue.

Thanks for opening an issue!

@canavandl canavandl closed this Jul 31, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment